package com.fjhx.from.controller;

import com.fjhx.from.service.StatisticsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;


@RestController
@RequestMapping("/statistics")
public class StatisticsController {

    @Autowired
    private StatisticsService statisticsService;

    /**
     * 工作事项统计
     *
     * @return
     */
    @GetMapping("/workStatistics")
    public Map<String, Long> workStatistics() {
        return statisticsService.workStatistics();
    }

}
